# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rspec_snapshot_matcher/version'

Gem::Specification.new do |spec|
  spec.name          = 'rspec_snapshot_matcher'
  spec.version       = RSpecSnapshotMatcher::VERSION
  spec.authors       = ['Patrick Caldwell']
  spec.email         = ['tncbbthositg@gmail.com']

  spec.summary       = 'Matcher to compare objects to snapshots like Jest'
  spec.description   = %(This is an RSpec matcher that compares an actual value with the expected
value from an autogenerated snapshot file.)
  spec.homepage      = 'https://github.com/autopilotconsulting/rspec-snapshot-matcher'
  spec.license       = 'MIT'

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.49.1'
end
